org.eclipse.ease.lang.unittest.runtime

## Interface IRuntimeFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RuntimeFactory

    public interface IRuntimeFactory
    extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `IRuntimePackage`

### Field Summary

Fields
`static IRuntimeFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`IMetadata` `createMetadata()` Returns a new object of class 'Metadata'.
`IStackTraceContainer` `createStackTraceContainer()` Returns a new object of class 'Stack Trace Container'.
`ITest` `createTest()` Returns a new object of class 'Test'.
`ITestClass` `createTestClass()` Returns a new object of class 'Test Class'.
`ITestFile` `createTestFile()` Returns a new object of class 'Test File'.
`ITestFolder` `createTestFolder()` Returns a new object of class 'Test Folder'.
`ITestResult` `createTestResult()` Returns a new object of class 'Test Result'.
`ITestSuite` `createTestSuite()` Returns a new object of class 'Test Suite'.
`IRuntimePackage` `getRuntimePackage()` Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### eINSTANCE

    static final IRuntimeFactory eINSTANCE

The singleton instance of the factory.

### Method Detail

#### createTest

    ITest createTest()

Returns a new object of class 'Test'.

Returns:
  a new object of class 'Test'.

#### createTestSuite

    ITestSuite createTestSuite()

Returns a new object of class 'Test Suite'.

Returns:
  a new object of class 'Test Suite'.

#### createTestFolder

    ITestFolder createTestFolder()

Returns a new object of class 'Test Folder'.

Returns:
  a new object of class 'Test Folder'.

#### createTestClass

    ITestClass createTestClass()

Returns a new object of class 'Test Class'.

Returns:
  a new object of class 'Test Class'.

#### createTestResult

    ITestResult createTestResult()

Returns a new object of class 'Test Result'.

Returns:
  a new object of class 'Test Result'.

#### createTestFile

    ITestFile createTestFile()

Returns a new object of class 'Test File'.

Returns:
  a new object of class 'Test File'.

#### createStackTraceContainer

    IStackTraceContainer createStackTraceContainer()

Returns a new object of class 'Stack Trace Container'.

Returns:
  a new object of class 'Stack Trace Container'.

#### createMetadata

    IMetadata createMetadata()

Returns a new object of class 'Metadata'.

Returns:
  a new object of class 'Metadata'.

#### getRuntimePackage

    IRuntimePackage getRuntimePackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.